=== debian/changelog ===
pass-audit (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Aug 2022 12:06:48 -0400

pass-audit (1.2-1) unstable; urgency=medium

  * Initial release (Closes: #1002618)

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 26 Dec 2021 15:08:12 +0100
