=== debian/control ===
Source: pass-audit
Section: misc
Priority: optional
Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-requests,
 python3-zxcvbn,
 pass (>= 1.7.0),
Standards-Version: 4.6.0.1
Homepage: https://github.com/roddhjav/pass-audit
Vcs-Browser: https://salsa.debian.org/debian/pass-audit
Vcs-Git: https://salsa.debian.org/debian/pass-audit.git
Rules-Requires-Root: no

Package: pass-extension-audit
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, pass (>= 1.7.0)
Description: Pass extension for auditing your password repository
 pass audit is a password-store extension for auditing your passwordstore
 repository. Passwords will be checked against the Python implementation
 of Dropbox' zxcvbn algorithm and Troy Hunt's Have I Been Pwned Service.
 It supports safe breached password detection from haveibeenpwned.com using
 a K-anonymity method. Using this method, you do not need to (fully) trust
 the server that stores the breached password. You should read the security
 consideration section for more information.
 .
 This package installs the pass extension
