=== debian/rules ===
#!/usr/bin/make -f

# tests fail with python3.10 due to a weird error involving gpg-agent
# even weirder is that they pass in autopkgtest using the same schroot
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python3 --buildsystem=pybuild
