=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pass-audit-$1.tar.gz%, \
   pgpsigurlmangle=s/pass-audit-(\d\S*)\.tar\.gz/pass-audit-$1\.tar\.gz\.asc/" \
   https://github.com/roddhjav/pass-audit/releases \
   (?:.*?/)?pass-audit-v?(\d[\d.]*)\.tar\.gz debian uupdate
